<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ProfileOptionsUI.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d7f/_profile_options_u_i_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ProfileOptionsUI.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d7f/_profile_options_u_i_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>ProfileOptionsUI <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac4fd513b45eac3acb165c7f40c95df58">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac4fd513b45eac3acb165c7f40c95df58">~ProfileOptionsUI</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af6324eac2dd8563ae75579050419e5d7">Deattach</a>();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a646a57ca3924447b88c83058f4efe711">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a646a57ca3924447b88c83058f4efe711">Attach</a>(<span class="keywordtype">int</span> profileOption, <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a> widget_array)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_profileOption = profileOption;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_widget_array = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_widget_array = widget_array;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_widget_array.Count(); i++)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            m_widget = m_widget_array.Get(i);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">if</span> (m_widget)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                m_widget.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">Init</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af6324eac2dd8563ae75579050419e5d7">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af6324eac2dd8563ae75579050419e5d7">Deattach</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="comment">//m_profileOption = NULL;</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (m_widget_array &amp;&amp; m_widget_array.Count() &gt; 0)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_widget_array.Count(); i++)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                m_widget = m_widget_array.Get(i);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">if</span> (m_widget)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    m_widget.SetHandler(NULL);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    m_widget = NULL;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">Init</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordtype">int</span> state;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        ButtonWidget button;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(button, m_widget) )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            state = m_widget_array.Find(m_widget);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            button.SetState( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetProfileOption(m_profileOption) == state ); <span class="comment">//works for bool values only!!!</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a4e8176ce0e0fc1a99a8e2c1a5b050ce7">   55</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a4e8176ce0e0fc1a99a8e2c1a5b050ce7">SetValue</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">int</span> state;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        ButtonWidget button;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(button, m_widget) )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            state = m_widget_array.Find(m_widget);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a4043d9a02267c14189e537cb56cdbf9c">SetButtonStates</a>( state );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        super.OnClick(w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        m_widget = w;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a4e8176ce0e0fc1a99a8e2c1a5b050ce7">SetValue</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">//TODO check for unnescessary duplicate methods</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a4043d9a02267c14189e537cb56cdbf9c">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a4043d9a02267c14189e537cb56cdbf9c">SetButtonStates</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        ButtonWidget button;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_widget_array.Count(); i++)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            button = ButtonWidget.Cast( m_widget_array.Get(i) );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">if</span> (button)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                button.SetState( i == index );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#acf8e3d9fbcef62781761a79d1e645938">   89</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#acf8e3d9fbcef62781761a79d1e645938">GetWidgetArray</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a65e1976aba17b575317ee80f857e865e">m_widget_array</a>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8d42d0772cfd444857c7e66ec3e09919">   94</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8d42d0772cfd444857c7e66ec3e09919">GetProfileOption</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8453be8841ef6c6ebd527ad11d3221f4">m_profileOption</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8453be8841ef6c6ebd527ad11d3221f4">   99</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8453be8841ef6c6ebd527ad11d3221f4">m_profileOption</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a24777483b58bbd0f27ad6e3052559c4e">  100</a></span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a24777483b58bbd0f27ad6e3052559c4e">m_widget</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a65e1976aba17b575317ee80f857e865e">  101</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Widget&gt;</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a65e1976aba17b575317ee80f857e865e">m_widget_array</a>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>}</div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a24777483b58bbd0f27ad6e3052559c4e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a24777483b58bbd0f27ad6e3052559c4e">ScriptedWidgetEventHandler::m_widget</a></div><div class="ttdeci">Widget m_widget</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00100">ProfileOptionsUI.c:100</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a4043d9a02267c14189e537cb56cdbf9c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a4043d9a02267c14189e537cb56cdbf9c">ScriptedWidgetEventHandler::SetButtonStates</a></div><div class="ttdeci">void SetButtonStates(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00076">ProfileOptionsUI.c:76</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a4e8176ce0e0fc1a99a8e2c1a5b050ce7"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a4e8176ce0e0fc1a99a8e2c1a5b050ce7">ScriptedWidgetEventHandler::SetValue</a></div><div class="ttdeci">void SetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00055">ProfileOptionsUI.c:55</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a646a57ca3924447b88c83058f4efe711"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a646a57ca3924447b88c83058f4efe711">ScriptedWidgetEventHandler::Attach</a></div><div class="ttdeci">void Attach(int profileOption, array&lt; Widget &gt; widget_array)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00008">ProfileOptionsUI.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a65e1976aba17b575317ee80f857e865e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a65e1976aba17b575317ee80f857e865e">ScriptedWidgetEventHandler::m_widget_array</a></div><div class="ttdeci">ref array&lt; Widget &gt; m_widget_array</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00101">ProfileOptionsUI.c:101</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8453be8841ef6c6ebd527ad11d3221f4"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8453be8841ef6c6ebd527ad11d3221f4">ScriptedWidgetEventHandler::m_profileOption</a></div><div class="ttdeci">int m_profileOption</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00099">ProfileOptionsUI.c:99</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8d42d0772cfd444857c7e66ec3e09919"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8d42d0772cfd444857c7e66ec3e09919">ScriptedWidgetEventHandler::GetProfileOption</a></div><div class="ttdeci">int GetProfileOption()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00094">ProfileOptionsUI.c:94</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00067">ProfileOptionsUI.c:67</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aba6450ea167e6260d427b214c4e14a0b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aba6450ea167e6260d427b214c4e14a0b">ScriptedWidgetEventHandler::Init</a></div><div class="ttdeci">void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da6/_tabber_u_i_8c_source.html#l00033">TabberUI.c:33</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac4fd513b45eac3acb165c7f40c95df58"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac4fd513b45eac3acb165c7f40c95df58">ScriptedWidgetEventHandler::~ProfileOptionsUI</a></div><div class="ttdeci">void ~ProfileOptionsUI()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00003">ProfileOptionsUI.c:3</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_acf8e3d9fbcef62781761a79d1e645938"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#acf8e3d9fbcef62781761a79d1e645938">ScriptedWidgetEventHandler::GetWidgetArray</a></div><div class="ttdeci">array&lt; Widget &gt; GetWidgetArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00089">ProfileOptionsUI.c:89</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af6324eac2dd8563ae75579050419e5d7"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af6324eac2dd8563ae75579050419e5d7">ScriptedWidgetEventHandler::Deattach</a></div><div class="ttdeci">void Deattach()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d7f/_profile_options_u_i_8c_source.html#l00026">ProfileOptionsUI.c:26</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../de/d7f/_profile_options_u_i_8c.html">ProfileOptionsUI.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
